Name: atslog
Version: 2.0
%define buildnumber 168
%define pre pre1
Release: alt1

Summary: Mini-ATS logger
License: GPL
Group: System/Servers

URL: http://www.atslog.dp.ua
Source: http://download.berlios.de/atslog/%name-%version-%pre.tar.gz
Source1: atslog.conf
Source2: atslogweb.conf
##Source3: atslogdinit
##Source4: atslogrotate
##Source5: atslogdaily
Patch: %name-%version-alt-config-atslog_for_chkconfig.patch
Patch1: %name-%version-alt-fixes_error_in_lib_ldk300.patch
Patch2: %name-%version-alt-fixes_error_in_use_additionalReq.patch
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
BuildRequires: libwrap-devel perl-DBI
Requires: libwrap perl-DBD-mysql
# Experimental
##Requires: perl-DBD-Pg

%define atsloginit atslog
%define apache_home %_var/www/html
%define apache_confdir %_sysconfdir/httpd/conf
%define apache_addonconfdir %apache_confdir/addon-modules.d

%description
%name -- software to record phone calls done with miscellanous mini PBX systems
and store the logs in MySQL database.
Use %name-web to analyse these data via web interface.

%description -l ru_RU.KOI8-R
%name --       -    MySQL.
    %name-web       web-.

# -- Web interface--
%package web
Summary: Handle the adminstration of %name over the web
Summary(ru_RU.KOI8-R):  %name  web
License: GPL
Group: System/Servers
Requires: php-mysql
# Experimental
##Requires: php-pgsql
Obsoletes: atslogweb <= 2.0.78

%description web
%name-web -- gives a convenient interface with access from the web-browser to
watch and analyse the calls.

%description web -l ru_RU.KOI8-R
%name --       web- 
   .

%prep
%setup -n %name-%version-%pre
%patch -p1
%patch1 -p1
%patch2 -p1

cd %_builddir/%name-%version-%pre/include
%__subst "s|/usr/local/etc|%_sysconfdir|g" \
	atslogcleardb.pl atslogdaily atslogdb.pl atslogmaster atslogrotate
%__subst "s|/local||g" \
	atslogcleardb.pl atslogdaily atslogdb.pl atslogmaster atslogrotate

cd %_builddir/%name-%version-%pre/scripts
%__subst "s|./atslog.conf|%_sysconfdir/atslog.conf|g" createdb.pl

cd %_builddir/%name-%version-%pre/Linux
%__subst "s|/usr/local||g" atslogdinit.asplinux
%__subst "s|atslogdinit.sh|%atsloginit|g" atslogdinit.asplinux

# fix perms
find %_builddir/%name-%version-%pre/web/atslog -type d -print0 | xargs -r0 chmod 755
find %_builddir/%name-%version-%pre/web/atslog -type f -print0 | xargs -r0 chmod 644
# del .svn
find %_builddir/%name-%version-%pre -type d -name .svn -print0 | xargs -r0 rm -fr
# fix version & buildnumber etc.
find %_builddir/%name-%version-%pre -type f -print0 | xargs -r0 %__subst "s|@version@|%version|g"
find %_builddir/%name-%version-%pre -type f -print0 | xargs -r0 %__subst "s|@buildnumber@|%buildnumber|g"
find %_builddir/%name-%version-%pre -type f -print0 | xargs -r0 %__subst "s|@sqlfromhost@|localhost|g"
find %_builddir/%name-%version-%pre -type f -print0 | xargs -r0 %__subst "s|@sqldatabase@|atslog|g"
find %_builddir/%name-%version-%pre -type f -print0 | xargs -r0 %__subst "s|@sqlmasteruser@|atslog|g"
find %_builddir/%name-%version-%pre -type f -print0 | xargs -r0 %__subst "s|@sqlmaspasswd@|atslog|g"

%build
cd src/atslogd
%_make_bin
cd %_builddir/%name-%version-%pre

%install
%__mkdir_p %buildroot%_logdir/%name
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_libexecdir/%name
%__mkdir_p %buildroot%_datadir/%name/{lang,sql,scripts}
%__mkdir_p %buildroot%_man8dir
%__mkdir_p %buildroot%apache_home/atslog

# install bin
%__install -p -m 755 src/atslogd/atslogd %buildroot%_bindir/
%__install -p -m 755 include/atslogmaster %buildroot%_bindir/
%__install -p -m 755 include/atslogcleardb.pl %buildroot%_bindir/
%__install -p -m 755 include/atslogdb.pl %buildroot%_bindir/

# install lib
%__install -p -m 644 libexec/[^A-Z]* %buildroot%_libexecdir/%name

# install sql data
%__install -pD -m 644 sql/[^A-Z]* %buildroot%_datadir/%name/sql
%__install -pD -m 755 scripts/[^A-Z]* %buildroot%_datadir/%name/scripts
%__install -p -m 644 textlogs/* %buildroot%_datadir/%name

# install lang
%__install -p -m 644 lang/* %buildroot%_datadir/%name/lang

# install configs
%__install -pD -m 600 %SOURCE1 %buildroot%_sysconfdir/atslog.conf
##%__install -pD -T -m 755 %SOURCE3 \
%__install -pD -T -m 755 Linux/atslogdinit.asplinux \
	%buildroot%_initdir/%atsloginit
	
# install logrotate
##%__install -pD -m 644 %SOURCE4 \
##	%buildroot%_sysconfdir/logrotate.d/atslogrotate
# install cron
##%__install -pD -m 755 %SOURCE5 \
%__install -pD -m 755 include/atslogdaily \
	%buildroot%_sysconfdir/cron.daily/atslogdaily
%__install -pD -m 755 include/atslogrotate \
        %buildroot%_sysconfdir/cron.monthly/atslogrotate

# install man
%__install -p -m 644 man/en/atslogd.8 %buildroot%_man8dir

# install web
%__cp -aRf www/atslog/[^A-Z]* %buildroot%apache_home/atslog/

# install web config
%__install -pD -m640 %SOURCE2 %buildroot%apache_addonconfdir/atslogweb.conf

%post
%post_service %atsloginit

%preun
%preun_service %atsloginit

%post web
%post_service httpd
				
%files
%_bindir/*
%_libexecdir/%name
%config(noreplace) %_sysconfdir/%name.conf
%config %_sysconfdir/rc.d/*
%config %_sysconfdir/cron.daily/*
%config %_sysconfdir/cron.monthly/*
##%config %_sysconfdir/logrotate.d/*

%_datadir/%name
%doc CHANGES DEINSTALL DEINSTALL.RUS INSTALL README README.RUS UPDATING USING ChangeLog
%doc src/atslogd/readme_eng.txt src/atslogd/readme_rus.txt 
%doc include/atslog.conf.default
%_man8dir/*

%attr(3770,root,root) %_logdir/%name

%files web
%config(noreplace) %attr(0640,root,apache) %apache_home/atslog/include/set/conf.inc
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/atslogweb.conf
%apache_home/atslog/*

%changelog
* Fri Jun 10 2005 Slava Dubrovskiy <dubrsl@altlinux.ru> 2.0-alt1
- Patch1 (fix bag #4233) & patch2 (fix bag #4234) is added
- Fix group for config /atslog/include/set/conf.inc

* Thu May 05 2005 Slava Dubrovskiy <dubrsl@altlinux.ru> 2.0-alt0
- Update to 2.0
- Buildrequires libwrap-devel perl-DBI is added
- Many bugs are fixed; thanks to Andrew Kornilov (hiddenman@)

* Wed Feb 16 2005 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.4-alt0
- Built for Master 2.4
